Package org.jbpm.services.api.query.model

## Interface QueryDefinition

- All Known Implementing Classes:
    `SqlQueryDefinition`

      public interface QueryDefinition

  Definition of a query that can be registered in the query service.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `QueryDefinition.Target` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<String,​String>` | `getColumns()` | Returns resolved columns types once the query was successfully registered.
    `String` | `getExpression()` | Returns expression used to collect/fetch data as part of the query.
    `String` | `getName()` | Return unique name of this query.
    `String` | `getSource()` | Returns source location of this query Depends on exact type of the query definition (e.g. data base location - data source name).
    `QueryDefinition.Target` | `getTarget()` | Returns target of this query definition.
    `void` | `setExpression​(String expression)` | Sets expression used to collect/fetch data as part of the query.
    `void` | `setName​(String name)` | Sets unique name for this query definition.
    `void` | `setSource​(String source)` | Sets source location of this query Depends on exact type of the query definition (e.g. data base location - data source name)

- - ### Method Detail

    - #### getName

          String getName()

      Return unique name of this query.
      Returns:
        unique name

    - #### setName

          void setName​(String name)

      Sets unique name for this query definition.
      Parameters:
        `name` - unique name

    - #### getSource

          String getSource()

      Returns source location of this query Depends on exact type of the query definition (e.g. data base location - data source name).
      Returns:
        source

    - #### setSource

          void setSource​(String source)

      Sets source location of this query Depends on exact type of the query definition (e.g. data base location - data source name)
      Parameters:
        `source` - source location

    - #### getExpression

          String getExpression()

      Returns expression used to collect/fetch data as part of the query.
      Returns:
        expression

    - #### setExpression

          void setExpression​(String expression)

      Sets expression used to collect/fetch data as part of the query.
      Parameters:
        `expression` -

    - #### getTarget

          QueryDefinition.Target getTarget()

      Returns target of this query definition.
      Returns:
        target

    - #### getColumns

          Map<String,​String> getColumns()

      Returns resolved columns types once the query was successfully registered.
      Returns:
        columns